## Delete Integration

### cURL

```bash
curl --request DELETE \
  --url https://flows.super.ai/api/plugins/{plugin_name}/instances/{integration_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-API-Key: <api-key>'
```

### Python

```python
import requests

url = "https://flows.super.ai/api/plugins/{plugin_name}/instances/{integration_id}"

headers = {
    "X-API-Key": "<api-key>",
    "Authorization": "Bearer <token>"
}

response = requests.delete(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {
  method: 'DELETE',
  headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};

fetch('https://flows.super.ai/api/plugins/{plugin_name}/instances/{integration_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php


```

### Error Response

#### 422

```json
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}
```

### Authorizations

#### X-API-Key
- **Type**: string
- **Header**: required
- **Description**: API key authentication. Include your API key in the X-API-Key header as: `X-API-Key YOUR_API_KEY`

**Example:**
```http
X-API-Key: saf_1234567890
```

#### Authorization
- **Type**: string
- **Header**: required
- **Description**: JWT Bearer token authentication. Include your access token in the Authorization header as: `Bearer YOUR_ACCESS_TOKEN`

**Example:**
```http
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
```

### Path Parameters
- **plugin_name**: string, required
- **integration_id**: string<uuid>, required

### Response
- **200**: application/json, Successful Response
